﻿using EJGrid.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace ASPApp.Models
{
    public class ListCollection
    {
        public string GridName { get; set; }
        public string TabName { get; set; }
        public List<OrdersView> List1 { get; set; }
        public List<EmployeeView> List2 { get; set; }
        public List<Customerr> List3 { get; set; }
        public static List<ListCollection> GetListCollection()
        {
            var List1 = new NorthwindDataContext().OrdersViews.Take(50).ToList();
            var List2 = new NorthwindDataContext().EmployeeViews.ToList();
            List<Customerr> List3 = (from ord in new NorthwindDataContext().Customers.Take(50)
                                     select new Customerr
                                     {
                                         CustomerID = ord.CustomerID,
                                         CustomerName = ord.ContactName,
                                         City = ord.City,
                                         Country = ord.Country
                                     }).ToList();
            List<ListCollection> list = new List<ListCollection>();
            list.Add(new ListCollection() { TabName = "List1", GridName = "OrdersGrid", List1 = List1 });
            list.Add(new ListCollection() { TabName = "List2", GridName = "EmployeeGrid", List2 = List2 });
            list.Add(new ListCollection() { TabName = "List3", GridName = "CustomerGrid", List3 = List3 });
            return list;
        }
    }
}